CVE-2015-2310

2017-08-09T00:00:00
ID UB:CVE-2015-2310
Type ubuntucve
Reporter ubuntu.com
Modified 2017-08-09T00:00:00

Description

Integer overflow in layout.c++ in Sandstorm Cap'n Proto before 0.4.1.1 and 0.5.x before 0.5.1.1 allows remote peers to cause a denial of service or possibly obtain sensitive information from memory via a crafted message, related to pointer validation.

Bugs

  • <http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=780565>

Notes

Author| Note
---|---
tyhicks | Fixed in 0.4.1.1, 0.5.1.1, and 0.6